#pragma once
#include "opengl.h"
#include "colour.h"

#define FACTION_PLAYER 0

/* Get stuff. */
int faction_get(const char* name);
char* faction_name(int f);
char* faction_longname(int f);
glTexture* faction_logoSmall(int f);

/* Player stuff. */
void faction_modPlayer(int f, int mod);
void faction_modPlayerRaw(int f, int mod);
int faction_getPlayer(int f);
char* faction_getStanding(int mod);
glColour* faction_getColour(int f);

/* Works with only factions. */
int areEnemies(int a, int b);
int areAllies(int a, int b);

/* Load/Free. */
int factions_load(void);
void factions_free(void);

